package com.huatek.busi.vo.routinetest.transformer;

public class TestContant {

	
	public static enum IronCoreEnum {
		HV_LV_E("HV-lv-e", "HV-lv,e"),
		LV_HV_E("lv-hv-e", "lv-hv,e"),
		TX_HV_LV_E("tx-HV-lv-e", "铁芯-HV，lv，e"),
		JJ_HV_LV_E("jj-HV-lv-e", "铁芯-HV，lv，e");

        private IronCoreEnum(String value, String name) {
            this.value = value;
            this.name = name;
        }

        private final String value;
        private final String name;

        public String getValue() {
            return value;
        }

        public String getName() {
            return name;
        }
    }
	
	
	public static enum WindingBushLossTangentEnum {
		HV_LV_E("HV_LV_E", "HV-LV，E"),
		LV_HV_E("LV_HV_E", "LV，hv，E");

        private WindingBushLossTangentEnum(String value, String name) {
            this.value = value;
            this.name = name;
        }

        private final String value;
        private final String name;

        public String getValue() {
            return value;
        }

        public String getName() {
            return name;
        }
    }
	
	public static enum BushLossTangentEnum {
		A("A", "A相"),
		B("B", "B相"),
		C("C", "C相"),
		O("O", "全相");

        private BushLossTangentEnum(String value, String name) {
            this.value = value;
            this.name = name;
        }

        private final String value;
        private final String name;

        public String getValue() {
            return value;
        }

        public String getName() {
            return name;
        }
    }

	public static  enum InsulationOilEnum {
		DQGD("DQGD", "电气强度（kV）"),
		SFHL("SFHL", "水分含量（mg/kg）"),
		TANO("TANO", "/介质损失角正切值tano（90℃）不大于（%）"),
		HQL("HQL", "含气量（%）"),
		
		
		N2("N2", "氮气N2（uL/L)"),
		O2("O2", "氧气O2（uL/L)"),
		CH4("CH4", "甲烷CH4（uL/L)"),
		C2H6("C2H6", "乙烷C2H6（uL/L)"),
		C2H4("C2H4", "乙烯C2H4（uL/L)"),
		C2H2("C2H2", "乙炔C2H2（uL/L)"),
		H2("H2", "氢H2（uL/L)"),
		CO("CO", "一氧化碳CO（uL/L)"),
		CO2("CO2", "二氧化碳CO（uL/L)"),
		TJ("TJ", "总烃含量（uL/L)");
		

        private InsulationOilEnum(String value, String name) {
            this.value = value;
            this.name = name;
        }

        private final String value;
        private final String name;

        public String getValue() {
            return value;
        }

        public String getName() {
            return name;
        }
	}
	
	public  static enum OtherTestEnum{
		
		ZBJHD("ZBJHD", "纸板聚合度"),
		KQSY("KQSY", "糠醛");
		
		 private OtherTestEnum(String value, String name) {
	            this.value = value;
	            this.name = name;
	        }

	        private final String value;
	        private final String name;

	        public String getValue() {
	            return value;
	        }

	        public String getName() {
	            return name;
	        }
		
	}
}
